﻿using DevFx.Configuration;

namespace ConsoleApp1
{
	//定义需要承载业务参数的接口，[SettingObject("~/myservice/weixin")]告诉框架这是一个配置承载对象
	//	其中~/myservice/weixin为配置在配置文件里的路径
	[SettingObject("~/myservice/weixin")]
	public interface IWeixinSetting
	{
		string ApiUrl { get; }
		string AppID { get; }
		string AppKey { get; }
	}
}
