﻿using DevFx;
using System;

namespace ConsoleApp1
{
	class Program
	{
		static void Main(string[] args) {
			//控制台程序需要显式调用框架的初始化方法
			//ASP.NET Core（通用主机）可以使用UseDevFx扩展方法来初始化框架
			ObjectService.Init();
			//获取接口实现类的实例
			var myservice = ObjectService.GetObject<IMyService>();
			Console.WriteLine(myservice.GetUserName("IamDevFx"));
			//还能直接获取MyService类的实例
			var myservice1 = ObjectService.GetObject<MyService>();
			//2种方式获取的实例是同一个
			Console.WriteLine($" myservice={myservice.GetHashCode()}{Environment.NewLine}myservice1={myservice1.GetHashCode()}");
		}
	}
}